Skip to content

Host Group

The Host Group service collection provides operations for creating and managing Host Groups in your CrowdStrike Falcon environment. Search for group members and groups, create, update, delete, and perform actions on Host Groups.

LanguageLast Update
Pythonv1.4.6
PowerShellv2.2.9
Gov0.20.0
TypeScriptv0.6.0
Rustv0.7.0
Rubyv1.2.0
OperationDescription
queryCombinedGroupMembers
query_combined_group_members
Search for members of a Host Group in your environment by providing a FQL filter and paging details. Returns a set of host details which match the filter criteria
queryCombinedHostGroups
query_combined_host_groups
Search for Host Groups in your environment by providing a FQL filter and paging details. Returns a set of Host Groups which match the filter criteria
performGroupAction
perform_group_action
Perform the specified action on the Host Groups specified in the request
getHostGroups
get_host_groups
Retrieve a set of Host Groups by specifying their IDs
createHostGroups
create_host_groups
Create Host Groups by specifying details about the group to create
deleteHostGroups
delete_host_groups
Delete a set of Host Groups by specifying their IDs
updateHostGroups
update_host_groups
Update Host Groups by specifying the ID of the group and details to update
queryGroupMembers
query_group_members
Search for members of a Host Group in your environment by providing a FQL filter and paging details. Returns a set of Agent IDs which match the filter criteria
queryHostGroups
query_host_groups
Search for Host Groups in your environment by providing a FQL filter and paging details. Returns a set of Host Group IDs which match the filter criteria

Search for members of a Host Group in your environment by providing a FQL filter and paging details. Returns a set of host details which match the filter criteria

GET /devices/combined/host-group-members/v1
Scope Host Groups: READ Consumes · Produces application/json
PEP 8 query_combined_group_members
NameTypeData typeDescription
filterquerystringFQL query expression that should be used to limit the results.
limitqueryintegerMaximum number of records to return. Max: 5000.
offsetquerystringStarting index of overall result set from which to return ids.
idquerystringThe ID of the Host Group to search for members of.
sortquerystringThe property to sort by.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import HostGroup
falcon = HostGroup(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_combined_group_members(filter="string",
id="string",
limit=integer,
offset="string",
sort="string")
print(response)

Search for Host Groups in your environment by providing a FQL filter and paging details. Returns a set of Host Groups which match the filter criteria

GET /devices/combined/host-groups/v1
Scope Host Groups: READ Consumes · Produces application/json
PEP 8 query_combined_host_groups
NameTypeData typeDescription
filterquerystringFQL query expression that should be used to limit the results.
limitqueryintegerMaximum number of records to return. Max: 5000.
offsetquerystringStarting index of overall result set from which to return ids.
sortquerystringThe property to sort by.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import HostGroup
falcon = HostGroup(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_combined_host_groups(filter="string",
limit=integer,
offset=integer,
sort="string")
print(response)

Perform the specified action on the Host Groups specified in the request

POST /devices/entities/host-group-actions/v1
Scope Host Groups: WRITE Consumes · Produces application/json
PEP 8 perform_group_action
NameTypeData typeDescription
action_namequerystringThe action to be performed. Allowed values: add-hosts, disable-hostname-check, remove-hosts
action_parametersbodylist of dictionariesAction specific parameters. Multiple action parameters may be specified. Use with the add-hosts and remove-hosts actions. Use the value parameter to specify host IDs to add or remove. Example: [{“name”: “filter”, “value”: “(device_id:[‘ID1’, ‘ID2’,‘ID3’])”}]
bodybodydictionaryFull body payload in JSON format.
filterbody (action_parameters)stringFilter to use to specify hosts to apply this action to. FQL formatted string. Overridden if action_parameters is specified.
idsbodystring or list of stringsThe ID(s) of the Host Group to perform the action against.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import HostGroup
falcon = HostGroup(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.perform_group_action(action_name="string",
disable_hostname_check=boolean,
filter="string",
ids=id_list)
print(response)

Retrieve a set of Host Groups by specifying their IDs

GET /devices/entities/host-groups/v1
Scope Host Groups: READ Consumes · Produces application/json
PEP 8 get_host_groups
NameTypeData typeDescription
idsquerystring or list of stringsThe ID(s) of the Host Groups to retrieve.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import HostGroup
falcon = HostGroup(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_host_groups(ids=id_list)
print(response)

Create Host Groups by specifying details about the group to create

POST /devices/entities/host-groups/v1
Scope Host Groups: WRITE Consumes · Produces application/json
PEP 8 create_host_groups
NameTypeData typeDescription
assignment_rulebodystringAssignment rule to apply.
bodybodydictionaryFull body payload in JSON format.
descriptionbodystringDescription for the host group.
group_typebodystringType of Host Group to create. Allowed Values: dynamic, static, staticByID. Case-sensitive.
namebodystringThe name of the Host Group.
from falconpy import HostGroup
falcon = HostGroup(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.create_host_groups(assignment_rule="string",
description="string",
group_type="string",
name="string")
print(response)

Delete a set of Host Groups by specifying their IDs

DELETE /devices/entities/host-groups/v1
Scope Host Groups: WRITE Consumes · Produces application/json
PEP 8 delete_host_groups
NameTypeData typeDescription
idsquerystring or list of stringsThe ID(s) of the Host Groups to delete.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import HostGroup
falcon = HostGroup(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_host_groups(ids=id_list)
print(response)

Update Host Groups by specifying the ID of the group and details to update

PATCH /devices/entities/host-groups/v1
Scope Host Groups: WRITE Consumes · Produces application/json
PEP 8 update_host_groups
NameTypeData typeDescription
assignment_rulebodystringAssignment rule to apply.
bodybodydictionaryFull body payload in JSON format.
descriptionbodystringDescription for the host group.
idbodystringThe ID of the Host Group to update.
namebodystringThe name of the Host Group.
from falconpy import HostGroup
falcon = HostGroup(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.update_host_groups(assignment_rule="string",
description="string",
id="string",
name="string")
print(response)

Search for members of a Host Group in your environment by providing a FQL filter and paging details. Returns a set of Agent IDs which match the filter criteria

GET /devices/queries/host-group-members/v1
Scope Host Groups: READ Consumes · Produces application/json
PEP 8 query_group_members
NameTypeData typeDescription
filterquerystringFQL query expression that should be used to limit the results.
limitqueryintegerMaximum number of records to return. Max: 5000.
offsetquerystringStarting index of overall result set from which to return ids.
idquerystringThe ID of the Host Group to search for members of.
sortquerystringThe property to sort by.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import HostGroup
falcon = HostGroup(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_group_members(filter="string",
id="string",
limit=integer,
offset="string",
sort="string")
print(response)

Search for Host Groups in your environment by providing a FQL filter and paging details. Returns a set of Host Group IDs which match the filter criteria

GET /devices/queries/host-groups/v1
Scope Host Groups: READ Consumes · Produces application/json
PEP 8 query_host_groups
NameTypeData typeDescription
filterquerystringFQL query expression that should be used to limit the results.
limitqueryintegerMaximum number of records to return. Max: 5000.
offsetquerystringStarting index of overall result set from which to return ids.
sortquerystringThe property to sort by.
parametersquerydictionaryFull query string parameters payload in JSON format.
from falconpy import HostGroup
falcon = HostGroup(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_host_groups(filter="string",
limit=integer,
offset="string",
sort="string")
print(response)